WESNOTHD(6)

NOME
wesnothd - Demone di rete per multigiocatore di Battle for Wesnothwesnothd - Demone di rete per multigiocatore di Battle for Wesnoth

SYNOPSIS
wesnothd [-dvV] [-c percorso] [-p porta] [-t numero] [-T numero]
wesnothd -V

DESCRIZIONE
Gestisce le partite multigiocatore di Battle for Wesnoth. Vedi http://www.wesnoth.org/wiki/ServerAdministration per sapere quali comandi sono accettati dal server attraverso il client di wesnoth o il socket.

OPZIONI

-c percorso, --config percorso
    indica a wesnothd dove trovare il file di configurazione da usare. Vedi la sezione SERVER CONFIG più avanti per la sintassi. Puoi ricaricare la configurazione inviando un segnale SIGHUP al processo del server.

-d, --daemon
    carica wesnothd come demone.

-h, --help
    spiega che cosa fanno le opzioni da linea di comando.

--log-livello=dominio1,dominio2,...
    imposta il livello di severità dei domini di debug. Puoi usare all per qualsiasi dominio di debug. Livelli disponibili: error, warning, info, debug. Normalmente è usato il livello error ed il livello info è usato per il dominio del server.

-p porta, --port porta
    lega il server ad una porta specifica. Se non viene specificata una porta, sarà usata la porta 15000.

-t numero, --threads numero
    imposta il numero massimo di thread da usare per l'I/O (valore predefinito: 5, massimo: 30).

-T numero, --max-threads numero
    imposta il numero massimo di thread da creare. Se vale 0 non c'è limite (valore predefinito: 0).

-V, --version
    visualizza il numero di versione ed esce.

-v, --verbose
    rende più prolisso il log.

SERVER CONFIG

  La sintassi generale è:

[tag]

    key="valore"

    key="valore,valore,..."

[/tag]

  Caratteri globali:

connections_allowed
    Il numero di connessioni permesse dallo stesso IP. 0 indica infinite connessioni (valore predefinito: 5).

disallow_names
    I nomi o nick che non sono accettati dal server. Si possono usare i caratteri jolly «*» e «?». Vedi glob(7) per maggiori dettagli. I valori predefiniti (usati in mancanza di specifiche diverse) sono: *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

max_messages
    Il numero di messaggi permessi in un periodo di messages_time_period (valore predefinito: 4).

messages_time_period
    Il periodo di tempo (in secondi) entro il quale rilevare un'inondazione di messaggi (valore predefinito: 10 secondi).

motd
    Il messaggio del giorno.

passwd
    La password da usare per dare i privilegi di amministratore. Di solito inizia con «admin ».

versions_accepted
    Un elenco separato da virgole delle stringhe di versione che il server deve accettare. I caratteri jolly `*' e `?' sono ammessi (il valore predefinito è lo stesso della versione di wesnoth corrispondente).
    Esempio: versions_accepted="*" accetta tutte le stringhe di versione.

  Tag globali:

[redirect] Un tag per specificare un server a cui redirigere certe versioni di client.

    host
        Indirizzo del server a cui reindirizzare i collegamenti

    port
        Porta su cui connettersi

    version
        Una lista separata da virgole delle versioni daredirigere. Si comporta come versions_accepted per quello che riguarda lo schema dei caratteri jolly.

[proxy] Un tag che indica al server di fare da proxy e di inoltrare le richieste dei client connessi al server specificato. Accetta le stesse parole chiave di [redirect].

AUTORE
Scritto David White <davidnwhite@verizon.net>. Modificato da Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> e Soliton <soliton.de@gmail.com>. Questo manuale è stato scritto in origine da Cyril Bouthors <cyril@bouthors.org>.
Visita la pagina home ufficiale: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Questo gioco è rilasciato come Software Libero; viene rilasciato secondo i termini della licenza GPL versione 2 come pubblicata dalla Free Software Foundation. Non è fornita nessuna garanzia, né per la COMMERCIALIZZAZIONE né per l'ADEGUATEZZA AD UNO SCOPO PARTICOLARE.

SEE ALSO
wesnoth(6), wesnoth_editor(6)